compressutils_tests.c File Reference
`#include "compressutils.c"`
`#include <cgreen/cgreen.h>`
`#include <cgreen/mocks.h>`
`#include <fcntl.h>`

## Functions

| Describe (compressutils)
| BeforeEach (compressutils)
| AfterEach (compressutils)
| Ensure (compressutils, can_compress_and_uncompress_without_header)
| Ensure (compressutils, can_compress_and_uncompress_with_header)
| Ensure (compressutils, can_uncompress_using_reader)
| Ensure (compressutils, can_uncompress_using_fd_reader)
int | main (int argc, char **argv)

## Function Documentation

## AfterEach()

AfterEach | ( | compressutils |  | ) |

## BeforeEach()

BeforeEach | ( | compressutils |  | ) |

## Describe()

Describe | ( | compressutils |  | ) |

## Ensure() [1/4]

Ensure | ( | compressutils | ,
|  | can_compress_and_uncompress_with_header |
| ) |  |

## Ensure() [2/4]

Ensure | ( | compressutils | ,
|  | can_compress_and_uncompress_without_header |
| ) |  |

## Ensure() [3/4]

Ensure | ( | compressutils | ,
|  | can_uncompress_using_fd_reader |
| ) |  |

## Ensure() [4/4]

Ensure | ( | compressutils | ,
|  | can_uncompress_using_reader |
| ) |  |

## main()

int main | ( | int | argc,
|  | char ** | argv
| ) |  |